indexing
	description:

		"Test case result"

	copyright: "Copyright (c) 2005, Andreas Leitner and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date$"
	revision: "$Revision$"

class AUT_TEST_CASE_RESULT

create

	make_bad_response,
	make_fail,
	make_invalid,
	make_pass

feature {NONE} -- Initialization

	make_bad_response (a_class: like class_; a_feature: like feature_; a_response: like response) is
			-- Create new result that indicates a test case that triggered a bad response.
		require
			a_class_not_void: a_class /= Void
			a_feature_not_void: a_feature /= Void
			a_response_not_void: a_response /= Void
		do
			class_ := a_class
			feature_ := a_feature
			response := a_response
			is_bad_response := True
		ensure
			class_set: class_ = a_class
			feature_set: feature_ = a_feature
			response_set: response = a_response
			is_pass: is_bad_response
		end

	make_fail (a_class: like class_; a_feature: like feature_; a_response: like response) is
			-- Create new result that indicates a failed test case.
		require
			a_class_not_void: a_class /= Void
			a_feature_not_void: a_feature /= Void
			a_response_not_void: a_response /= Void
		do
			class_ := a_class
			feature_ := a_feature
			response := a_response
			is_fail := True
		ensure
			class_set: class_ = a_class
			feature_set: feature_ = a_feature
			response_set: response = a_response
			is_fail: is_fail
		end

	make_invalid (a_class: like class_; a_feature: like feature_; a_response: like response) is
			-- Create new result that indicates an invalid test case.
		require
			a_class_not_void: a_class /= Void
			a_feature_not_void: a_feature /= Void
			a_response_not_void: a_response /= Void
		do
			class_ := a_class
			feature_ := a_feature
			response := a_response
			is_invalid := True
		ensure
			class_set: class_ = a_class
			feature_set: feature_ = a_feature
			response_set: response = a_response
			is_invalid: is_invalid
		end

	make_pass (a_class: like class_; a_feature: like feature_; a_response: like response) is
			-- Create new result that indicates a successfull test case.
		require
			a_class_not_void: a_class /= Void
			a_feature_not_void: a_feature /= Void
			a_response_not_void: a_response /= Void
		do
			class_ := a_class
			feature_ := a_feature
			response := a_response
			is_pass := True
		ensure
			class_set: class_ = a_class
			feature_set: feature_ = a_feature
			response_set: response = a_response
			is_pass: is_pass
		end

feature -- Status

	is_pass: BOOLEAN
			-- Did test case pass?

	is_fail: BOOLEAN
			-- Did test case fail? This means a bug was found.

	is_invalid: BOOLEAN
			-- Was test case not executable because a prerequisite was not
			-- established? Most often this means a precondition was violated.

	is_bad_response: BOOLEAN
			-- Did an unknown error occure that made the interpreter respond
			-- in an unexpected way?

feature -- Access

	class_: ET_CLASS
			-- Class of `feature_'

	feature_: ET_FEATURE
			-- Feature that was called

	response: AUT_INTERPRETER_RESPONSE
			-- Response of call

invariant

	class_not_void: class_ /= Void
	feature_not_void: feature_ /= Void
	response_not_void: response /= Void
	mutal_states: is_pass xor is_fail xor is_invalid xor is_bad_response

end
