indexing

	description:

		"Abstract testing strategy"

	copyright: "Copyright (c) 2005, Andreas Leitner and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date$"
	revision: "$Revision$"


deferred class AUT_STRATEGY

inherit

	AUT_TASK

feature {NONE} -- Initialization

	make (a_universe: like universe; an_interpreter: like interpreter) is
			-- Create new strategy.
		require
			a_universe_not_void: a_universe /= Void
			a_interpreter_not_void: an_interpreter /= Void
		do
			universe := a_universe
			interpreter := an_interpreter
		ensure
			universe_set: universe = a_universe
			interpreter_set: interpreter = an_interpreter
		end

feature -- Status

	has_next_step: BOOLEAN is
			-- Is there a next step to execute?
		deferred
		end

feature -- Access

	universe: ET_UNIVERSE
			-- Universe

	interpreter: AUT_INTERPRETER_PROXY
			-- Proxy to the interpreter used to execute tests

feature -- Execution

	start is
		do
			if interpreter.is_running then
				interpreter.stop
			end
			interpreter.start
		end

	cancel is
		do
			interpreter.stop
		end

invariant

	universe_not_void: universe /= Void
	interpreter_not_void: interpreter /= Void

end
