indexing

	description:

		"Lace parsers"

	library: "Gobo Eiffel Tools Library"
	copyright: "Copyright (c) 1999-2004, Eric Bezault and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date$"
	revision: "$Revision$"

class AUT_LACE_PARSER

inherit

	ET_LACE_PARSER_SKELETON

	ET_LACE_SCANNER
		rename
			make as make_lace_scanner
		end

create

	make, make_standard, make_with_factory

feature -- Access

	external_text: STRING
		-- External clause in textual format

feature {NONE} -- Implementation

	yy_build_parser_tables is
			-- Build parser tables.
		do
			yytranslate := yytranslate_template
			yyr1 := yyr1_template
			yytypes1 := yytypes1_template
			yytypes2 := yytypes2_template
			yydefact := yydefact_template
			yydefgoto := yydefgoto_template
			yypact := yypact_template
			yypgoto := yypgoto_template
			yytable := yytable_template
			yycheck := yycheck_template
		end

	yy_create_value_stacks is
			-- Create value stacks.
		do
		end

	yy_init_value_stacks is
			-- Initialize value stacks.
		do
			yyvsp1 := -1
			yyvsp2 := -1
			yyvsp3 := -1
		end

	yy_clear_value_stacks is
			-- Clear objects in semantic value stacks so that
			-- they can be collected by the garbage collector.
		do
			if yyvs1 /= Void then
				yyvs1.clear_all
			end
			if yyvs2 /= Void then
				yyvs2.clear_all
			end
			if yyvs3 /= Void then
				yyvs3.clear_all
			end
		end

	yy_push_last_value (yychar1: INTEGER) is
			-- Push semantic value associated with token `last_token'
			-- (with internal id `yychar1') on top of corresponding
			-- value stack.
		do
			inspect yytypes2.item (yychar1)
			when 1 then
				yyvsp1 := yyvsp1 + 1
				if yyvsp1 >= yyvsc1 then
					if yyvs1 = Void then
						debug ("GEYACC")
							std.error.put_line ("Create yyvs1")
						end
						create yyspecial_routines1
						yyvsc1 := yyInitial_yyvs_size
						yyvs1 := yyspecial_routines1.make (yyvsc1)
					else
						debug ("GEYACC")
							std.error.put_line ("Resize yyvs1")
						end
						yyvsc1 := yyvsc1 + yyInitial_yyvs_size
						yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
					end
				end
				yyvs1.put (last_any_value, yyvsp1)
			when 2 then
				yyvsp2 := yyvsp2 + 1
				if yyvsp2 >= yyvsc2 then
					if yyvs2 = Void then
						debug ("GEYACC")
							std.error.put_line ("Create yyvs2")
						end
						create yyspecial_routines2
						yyvsc2 := yyInitial_yyvs_size
						yyvs2 := yyspecial_routines2.make (yyvsc2)
					else
						debug ("GEYACC")
							std.error.put_line ("Resize yyvs2")
						end
						yyvsc2 := yyvsc2 + yyInitial_yyvs_size
						yyvs2 := yyspecial_routines2.resize (yyvs2, yyvsc2)
					end
				end
				yyvs2.put (last_et_identifier_value, yyvsp2)
			else
				debug ("GEYACC")
					std.error.put_string ("Error in parser: not a token type: ")
					std.error.put_integer (yytypes2.item (yychar1))
					std.error.put_new_line
				end
				abort
			end
		end

	yy_push_error_value is
			-- Push semantic value associated with token 'error'
			-- on top of corresponding value stack.
		local
			yyval1: ANY
		do
			yyvsp1 := yyvsp1 + 1
			if yyvsp1 >= yyvsc1 then
				if yyvs1 = Void then
					debug ("GEYACC")
						std.error.put_line ("Create yyvs1")
					end
					create yyspecial_routines1
					yyvsc1 := yyInitial_yyvs_size
					yyvs1 := yyspecial_routines1.make (yyvsc1)
				else
					debug ("GEYACC")
						std.error.put_line ("Resize yyvs1")
					end
					yyvsc1 := yyvsc1 + yyInitial_yyvs_size
					yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
				end
			end
			yyvs1.put (yyval1, yyvsp1)
		end

	yy_pop_last_value (yystate: INTEGER) is
			-- Pop semantic value from stack when in state `yystate'.
		local
			yy_type_id: INTEGER
		do
			yy_type_id := yytypes1.item (yystate)
			inspect yy_type_id
			when 1 then
				yyvsp1 := yyvsp1 - 1
			when 2 then
				yyvsp2 := yyvsp2 - 1
			when 3 then
				yyvsp3 := yyvsp3 - 1
			else
				debug ("GEYACC")
					std.error.put_string ("Error in parser: unknown type id: ")
					std.error.put_integer (yy_type_id)
					std.error.put_new_line
				end
				abort
			end
		end

feature {NONE} -- Semantic actions

	yy_do_action (yy_act: INTEGER) is
			-- Execute semantic action.
		local
			yyval1: ANY
			yyval3: STRING
		do
			inspect yy_act
when 1 then
--|#line 48 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 48")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 11
	yyvsp1 := yyvsp1 -8
	yyvsp3 := yyvsp3 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 2 then
--|#line 52 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 52")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 3 then
--|#line 53 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 53")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -1
	yyvsp3 := yyvsp3 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 4 then
--|#line 56 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 56")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 5 then
--|#line 57 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 57")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp3 := yyvsp3 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 6 then
--|#line 60 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 60")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 7 then
--|#line 61 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 61")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 8 then
--|#line 64 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 64")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 9 then
--|#line 65 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 65")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 10 then
--|#line 68 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 68")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 11 then
--|#line 69 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 69")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 12 then
--|#line 72 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 72")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 4
	yyvsp1 := yyvsp1 -1
	yyvsp3 := yyvsp3 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 13 then
--|#line 73 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 73")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 4
	yyvsp1 := yyvsp1 -1
	yyvsp3 := yyvsp3 -1
	yyvsp2 := yyvsp2 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 14 then
--|#line 76 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 76")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 15 then
--|#line 77 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 77")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 16 then
--|#line 80 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 80")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 17 then
--|#line 81 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 81")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 18 then
--|#line 84 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 84")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 19 then
--|#line 85 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 85")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 20 then
--|#line 86 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 86")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 21 then
--|#line 89 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 89")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 22 then
--|#line 90 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 90")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 23 then
--|#line 91 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 91")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 24 then
--|#line 92 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 92")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 25 then
--|#line 95 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 95")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 26 then
--|#line 96 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 96")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 27 then
--|#line 97 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 97")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 28 then
--|#line 98 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 98")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 29 then
--|#line 101 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 101")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 7
	yyvsp1 := yyvsp1 -3
	yyvsp3 := yyvsp3 -3
	yyvs1.put (yyval1, yyvsp1)
end
when 30 then
--|#line 102 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 102")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 8
	yyvsp1 := yyvsp1 -3
	yyvsp2 := yyvsp2 -1
	yyvsp3 := yyvsp3 -3
	yyvs1.put (yyval1, yyvsp1)
end
when 31 then
--|#line 103 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 103")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 8
	yyvsp1 := yyvsp1 -4
	yyvsp3 := yyvsp3 -3
	yyvs1.put (yyval1, yyvsp1)
end
when 32 then
--|#line 106 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 106")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 5
	yyvsp1 := yyvsp1 -2
	yyvsp3 := yyvsp3 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 33 then
--|#line 107 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 107")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -1
	yyvsp3 := yyvsp3 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 34 then
--|#line 110 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 110")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 4
	yyvsp1 := yyvsp1 -1
	yyvsp3 := yyvsp3 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 35 then
--|#line 113 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 113")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 36 then
--|#line 114 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 114")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 37 then
--|#line 117 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 117")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 38 then
--|#line 118 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 118")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 39 then
--|#line 121 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 121")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 40 then
--|#line 122 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 122")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 41 then
--|#line 123 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 123")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 4
	yyvsp1 := yyvsp1 -3
	yyvs1.put (yyval1, yyvsp1)
end
when 42 then
--|#line 126 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 126")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 43 then
--|#line 127 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 127")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 44 then
--|#line 130 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 130")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 45 then
--|#line 131 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 131")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 46 then
--|#line 134 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 134")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 47 then
--|#line 135 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 135")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 5
	yyvsp1 := yyvsp1 -4
	yyvs1.put (yyval1, yyvsp1)
end
when 48 then
--|#line 136 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 136")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 4
	yyvsp1 := yyvsp1 -3
	yyvs1.put (yyval1, yyvsp1)
end
when 49 then
--|#line 137 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 137")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 50 then
--|#line 138 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 138")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 51 then
--|#line 141 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 141")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 52 then
--|#line 142 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 142")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 53 then
--|#line 143 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 143")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 54 then
--|#line 146 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 146")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvsp1 := yyvsp1 + 1
	yyvsp3 := yyvsp3 -1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 55 then
--|#line 147 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 147")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -1
	yyvsp3 := yyvsp3 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 56 then
--|#line 150 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 150")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 57 then
--|#line 151 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 151")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 58 then
--|#line 154 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 154")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 59 then
--|#line 155 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 155")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 60 then
--|#line 158 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 158")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 61 then
--|#line 159 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 159")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 62 then
--|#line 162 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 162")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 6
	yyvsp1 := yyvsp1 -3
	yyvsp3 := yyvsp3 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 63 then
--|#line 163 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 163")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 6
	yyvsp1 := yyvsp1 -3
	yyvsp3 := yyvsp3 -1
	yyvsp2 := yyvsp2 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 64 then
--|#line 167 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 167")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvsp1 := yyvsp1 + 1
	yyvsp3 := yyvsp3 -1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 65 then
--|#line 168 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 168")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -1
	yyvsp3 := yyvsp3 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 66 then
--|#line 171 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 171")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 67 then
--|#line 172 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 172")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 68 then
--|#line 175 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 175")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 69 then
--|#line 176 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 176")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 70 then
--|#line 179 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 179")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 71 then
--|#line 180 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 180")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 72 then
--|#line 183 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 183")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 73 then
--|#line 184 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 184")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 74 then
--|#line 187 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 187")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp3 := yyvsp3 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 75 then
--|#line 188 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 188")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 76 then
--|#line 189 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 189")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyvs1.put (yyval1, yyvsp1)
end
when 77 then
--|#line 192 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 192")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvsp1 := yyvsp1 + 1
	yyvsp3 := yyvsp3 -1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 78 then
--|#line 193 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 193")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp3 := yyvsp3 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 79 then
--|#line 196 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 196")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 80 then
--|#line 197 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 197")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 81 then
--|#line 200 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 200")
end

			create external_text.make (0)
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 82 then
--|#line 204 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 204")
end

			external_text := ""
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 83 then
--|#line 208 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 208")
end

			create external_text.make (1000)
			external_text.append_string (yyvs3.item (yyvsp3))
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp3 := yyvsp3 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 84 then
--|#line 215 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 215")
end

			yyval3 := yyvs3.item (yyvsp3 - 1) + yyvs3.item (yyvsp3)
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp3 := yyvsp3 -1
	yyvs3.put (yyval3, yyvsp3)
end
when 85 then
--|#line 219 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 219")
end

			yyval3 := yyvs3.item (yyvsp3 - 2) + yyvs3.item (yyvsp3 - 1) + yyvs3.item (yyvsp3)
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp3 := yyvsp3 -2
	yyvs3.put (yyval3, yyvsp3)
end
when 86 then
--|#line 225 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 225")
end

			yyval3 := yyvs3.item (yyvsp3 - 1) + ":" + yyvs3.item (yyvsp3) + "%N"
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp3 := yyvsp3 -1
	yyvsp1 := yyvsp1 -1
	yyvs3.put (yyval3, yyvsp3)
end
when 87 then
--|#line 229 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 229")
end

			yyval3 := yyvs3.item (yyvsp3 - 1) + "(" + yyvs3.item (yyvsp3) + ")"
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 4
	yyvsp3 := yyvsp3 -1
	yyvsp1 := yyvsp1 -2
	yyvs3.put (yyval3, yyvsp3)
end
when 88 then
--|#line 233 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 233")
end

			yyval3 := yyvs3.item (yyvsp3) + "(" + yyvs2.item (yyvsp2).name + ")"
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 4
	yyvsp1 := yyvsp1 -2
	yyvsp2 := yyvsp2 -1
	yyvs3.put (yyval3, yyvsp3)
end
when 89 then
--|#line 239 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 239")
end

			yyval3 := "%"" + yyvs3.item (yyvsp3) + "%""
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs3.put (yyval3, yyvsp3)
end
when 90 then
--|#line 243 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 243")
end

			yyval3 := yyvs3.item (yyvsp3 - 1) + ", %"" + yyvs3.item (yyvsp3) + "%""
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 3
	yyvsp3 := yyvsp3 -1
	yyvsp1 := yyvsp1 -1
	yyvs3.put (yyval3, yyvsp3)
end
when 91 then
--|#line 249 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 249")
end

			yyval3 := ""
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp3 := yyvsp3 + 1
	if yyvsp3 >= yyvsc3 then
		if yyvs3 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs3")
			end
			create yyspecial_routines3
			yyvsc3 := yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.make (yyvsc3)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs3")
			end
			yyvsc3 := yyvsc3 + yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.resize (yyvs3, yyvsc3)
		end
	end
	yyvs3.put (yyval3, yyvsp3)
end
when 92 then
--|#line 253 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 253")
end

			yyval3 := ";"
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvsp3 := yyvsp3 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp3 >= yyvsc3 then
		if yyvs3 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs3")
			end
			create yyspecial_routines3
			yyvsc3 := yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.make (yyvsc3)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs3")
			end
			yyvsc3 := yyvsc3 + yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.resize (yyvs3, yyvsc3)
		end
	end
	yyvs3.put (yyval3, yyvsp3)
end
when 93 then
--|#line 259 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 259")
end

			yyval3 := ""
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp3 := yyvsp3 + 1
	if yyvsp3 >= yyvsc3 then
		if yyvs3 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs3")
			end
			create yyspecial_routines3
			yyvsc3 := yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.make (yyvsc3)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs3")
			end
			yyvsc3 := yyvsc3 + yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.resize (yyvs3, yyvsc3)
		end
	end
	yyvs3.put (yyval3, yyvsp3)
end
when 94 then
--|#line 263 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 263")
end

			yyval3 := ";"
		
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvsp3 := yyvsp3 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp3 >= yyvsc3 then
		if yyvs3 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs3")
			end
			create yyspecial_routines3
			yyvsc3 := yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.make (yyvsc3)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs3")
			end
			yyvsc3 := yyvsc3 + yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.resize (yyvs3, yyvsc3)
		end
	end
	yyvs3.put (yyval3, yyvsp3)
end
when 95 then
--|#line 269 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 269")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		if yyvs1 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs1")
			end
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs1")
			end
			yyvsc1 := yyvsc1 + yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.resize (yyvs1, yyvsc1)
		end
	end
	yyvs1.put (yyval1, yyvsp1)
end
when 96 then
--|#line 270 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 270")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvs1.put (yyval1, yyvsp1)
end
when 97 then
--|#line 271 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 271")
end


if yy_parsing_status = yyContinue then
	yyssp := yyssp - 2
	yyvsp3 := yyvsp3 -1
	yyvs1.put (yyval1, yyvsp1)
end
when 98 then
--|#line 274 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 274")
end

yyval3 := yyvs2.item (yyvsp2).name 
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvsp3 := yyvsp3 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp3 >= yyvsc3 then
		if yyvs3 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs3")
			end
			create yyspecial_routines3
			yyvsc3 := yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.make (yyvsc3)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs3")
			end
			yyvsc3 := yyvsc3 + yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.resize (yyvs3, yyvsc3)
		end
	end
	yyvs3.put (yyval3, yyvsp3)
end
when 99 then
--|#line 276 "aut_lace_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'aut_lace_parser.y' at line 276")
end

yyval3 := yyvs2.item (yyvsp2).name 
if yy_parsing_status = yyContinue then
	yyssp := yyssp - 1
	yyvsp3 := yyvsp3 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp3 >= yyvsc3 then
		if yyvs3 = Void then
			debug ("GEYACC")
				std.error.put_line ("Create yyvs3")
			end
			create yyspecial_routines3
			yyvsc3 := yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.make (yyvsc3)
		else
			debug ("GEYACC")
				std.error.put_line ("Resize yyvs3")
			end
			yyvsc3 := yyvsc3 + yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.resize (yyvs3, yyvsc3)
		end
	end
	yyvs3.put (yyval3, yyvsp3)
end
			else
				debug ("GEYACC")
					std.error.put_string ("Error in parser: unknown rule id: ")
					std.error.put_integer (yy_act)
					std.error.put_new_line
				end
				abort
			end
		end

	yy_do_error_action (yy_act: INTEGER) is
			-- Execute error action.
		do
			inspect yy_act
			when 160 then
					-- End-of-file expected action.
				report_eof_expected_error
			else
					-- Default action.
				report_error ("parse error")
			end
		end

feature {NONE} -- Table templates

	yytranslate_template: SPECIAL [INTEGER] is
		once
			Result := yyfixed_array (<<
			    0,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			   19,   20,    2,    2,   23,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,   21,   22,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,

			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,

			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    1,    2,    3,    4,
			    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,
			   15,   16,   17,   18, yyDummy>>)
		end

	yyr1_template: SPECIAL [INTEGER] is
		once
			Result := yyfixed_array (<<
			    0,   30,   31,   31,   32,   32,   37,   37,   33,   33,
			   38,   38,   39,   39,   40,   40,   41,   41,   34,   34,
			   34,   42,   42,   42,   42,   44,   44,   44,   44,   45,
			   45,   45,   47,   47,   48,   43,   43,   46,   46,   50,
			   50,   50,   51,   51,   52,   52,   49,   49,   49,   49,
			   49,   53,   53,   53,   58,   58,   56,   56,   54,   54,
			   59,   59,   60,   60,   63,   63,   61,   61,   62,   62,
			   57,   57,   55,   55,   64,   64,   64,   65,   65,   66,
			   66,   35,   35,   35,   24,   24,   25,   25,   25,   26,
			   26,   27,   27,   28,   28,   36,   36,   36,   29,   29, yyDummy>>)
		end

	yytypes1_template: SPECIAL [INTEGER] is
		once
			Result := yyfixed_array (<<
			    1,    1,    2,    2,    3,    1,    3,    1,    1,    3,
			    1,    1,    1,    3,    1,    1,    1,    3,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
			    1,    1,    1,    1,    1,    1,    2,    3,    1,    3,
			    1,    3,    1,    3,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    3,    3,
			    3,    1,    1,    1,    1,    1,    1,    1,    3,    3,
			    3,    1,    1,    3,    1,    3,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    3,
			    3,    1,    1,    3,    1,    3,    3,    3,    1,    1,

			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    3,    3,    3,    2,
			    3,    1,    1,    1,    1,    1,    1,    3,    2,    3,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    3,    1,    1,    1,    1,    1,    3,    3,    3,
			    1,    1,    1,    1,    1,    3,    1,    1,    1,    3,
			    1,    1,    1, yyDummy>>)
		end

	yytypes2_template: SPECIAL [INTEGER] is
		once
			Result := yyfixed_array (<<
			    1,    1,    1,    2,    2,    2,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1, yyDummy>>)
		end

	yydefact_template: SPECIAL [INTEGER] is
		once
			Result := yyfixed_array (<<
			    0,    0,   99,   98,    0,    0,    2,    0,    4,    0,
			    0,    8,    3,    5,    6,   18,    9,    0,    7,   16,
			   19,   81,    0,   17,   10,    0,    0,    0,    0,   46,
			   37,   21,   22,   28,   82,   95,    0,    0,   11,    0,
			   27,   46,   25,    0,   26,    0,    0,   70,   51,   56,
			   58,   39,    8,   72,    0,   38,   20,    0,   83,   93,
			    0,   96,    0,   13,   12,    0,    0,    0,   46,    0,
			   77,   71,   79,   54,   52,    0,   57,   68,   72,   59,
			    0,   33,   58,    0,   73,   50,   23,   24,   94,   84,
			    0,    0,    0,   97,    1,   46,    0,    0,   39,    0,

			   78,   80,    0,   53,    0,   69,   60,    0,    0,    0,
			   40,   45,   37,   42,   72,   49,   85,   86,   89,    0,
			    0,   34,    0,    0,   32,    0,   76,   55,    0,    0,
			   61,   48,   44,    0,    0,    0,    0,   88,   87,    0,
			    0,   46,    0,    0,   41,   43,   47,   90,   46,   46,
			   29,    0,    0,   31,   30,   64,   63,   62,    0,   65,
			    0,    0,    0, yyDummy>>)
		end

	yydefgoto_template: SPECIAL [INTEGER] is
		once
			Result := yyfixed_array (<<
			   58,   59,  117,   89,   90,   41,  160,    8,   11,   15,
			   21,   35,   62,   50,   18,   19,   24,   25,   30,   56,
			   31,   32,   57,   33,   40,   51,   81,  112,  113,   52,
			   78,   83,   53,   54,   74,   76,   77,  106,  107,  156,
			   71,   72,  102, yyDummy>>)
		end

	yypact_template: SPECIAL [INTEGER] is
		once
			Result := yyfixed_array (<<
			  165,   91, -32768, -32768,  163,   91,  157,   91,  144,  155,
			   91,  154, -32768, -32768,   91,  160, -32768,  149, -32768,  101,
			   12,  156,  143,  117, -32768,   91,   91,   91,   91,   60,
			   30, -32768, -32768, -32768,   91,  151,  146,  142, -32768,   61,
			 -32768,   83, -32768,   53, -32768,   91,   91,   91,   91,   91,
			  141,  127,  154,  103,  153,   76, -32768,   12, -32768,   41,
			   48,   91,  152, -32768, -32768,   91,   91,   91,  105,  139,
			  150, -32768,  134, -32768,  133,  118, -32768,    6,  103, -32768,
			   47, -32768,  141,  145, -32768, -32768, -32768, -32768,   22, -32768,
			   91,   91,  140, -32768, -32768,  105,  132,  129,  127,  113,

			  124,  123,   91,   91,  137,    4, -32768,   91,  119,   91,
			 -32768, -32768,   15, -32768,  103, -32768, -32768,   99, -32768,   96,
			   85, -32768,   90,   86, -32768,   91, -32768, -32768,   80,   42,
			 -32768, -32768, -32768,   89,   54,   84,   91, -32768, -32768,   91,
			   91,  105,   56,   38, -32768, -32768, -32768, -32768,  105,  105,
			 -32768,   91,   91, -32768, -32768, -32768,    8,    8,   91, -32768,
			   18,   11, -32768, yyDummy>>)
		end

	yypgoto_template: SPECIAL [INTEGER] is
		once
			Result := yyfixed_array (<<
			  -54, -32768, -32768, -32768, -32768,   -1, -32768, -32768, -32768,  135,
			 -32768, -32768, -32768,   -9,  159, -32768, -32768, -32768, -32768,   69,
			  126,  125,   68,  -26,  158,  -63,   81, -32768,   44, -32768,
			   95,  -75,  -42,  -43, -32768,   67, -32768, -32768, -32768,   21,
			   70, -32768, -32768, yyDummy>>)
		end

	yytable_template: SPECIAL [INTEGER] is
		once
			Result := yyfixed_array (<<
			    4,   42,   16,  108,    6,   98,    9,   93,   79,   13,
			   84,  162,  -67,   17,  -66,    3,    2,   28,  161,   29,
			  -67,   37,  -66,  -35,   17,   39,   27,   43,  105,   26,
			  -92,  158,  121,   60,  -92,   84,  116,   55,  -35,  135,
			   79,  -35,  -35,   16,   68,   69,   70,   73,   75,  -91,
			    3,    2,   55,  -91,  111,  110,   29,    3,    2,  152,
			   60,  109,  143,   88,   95,   96,   97,   92,  109,   91,
			   14,   84,   67,   49,   65,   48,   47,  151,  150,   46,
			   66,   45,   65,  132,  -36,  153,  154,  -36,  -36,   60,
			  118,  120,  146,   14,    3,    2,   49,  144,   48,   47,

			  142,   70,  127,  129,   45,  138,   75,  140,  111,  -14,
			  -14,  139,  -14,  -14,  -14,   14,  137,  -14,   49,   47,
			   48,   47,  136,   23,  141,  -15,  -15,  131,  -15,  -15,
			  -15,  -75,  -74,  -15,  125,  147,   80,  104,  148,  149,
			    3,    2,  128,    3,    2,  119,    3,    2,   36,  123,
			  155,  155,  122,  115,   49,  103,  101,  159,  100,   99,
			   94,   85,   64,   61,   14,   10,   63,   34,   22,   20,
			    5,    1,  126,  157,  130,   12,    7,  114,  145,  124,
			  134,  133,   87,   86,   38,    0,   44,   82, yyDummy>>)
		end

	yycheck_template: SPECIAL [INTEGER] is
		once
			Result := yyfixed_array (<<
			    1,   27,   11,   78,    5,   68,    7,   61,   50,   10,
			   53,    0,    8,   14,    8,    3,    4,    5,    0,   20,
			   16,   22,   16,    8,   25,   26,   14,   28,   22,   17,
			    8,   23,   95,   34,   12,   78,   90,   22,    8,  114,
			   82,   11,   12,   52,   45,   46,   47,   48,   49,    8,
			    3,    4,   22,   12,   80,    8,   57,    3,    4,   21,
			   61,   14,   20,   22,   65,   66,   67,   19,   14,   21,
			   10,  114,   19,   13,   21,   15,   16,   21,  141,   19,
			   19,   21,   21,  109,    8,  148,  149,   11,   12,   90,
			   91,   92,    8,   10,    3,    4,   13,    8,   15,   16,

			   20,  102,  103,  104,   21,   20,  107,   21,  134,    8,
			    9,   21,   11,   12,   13,   10,   20,   16,   13,   16,
			   15,   16,   23,   22,  125,    8,    9,    8,   11,   12,
			   13,    8,    8,   16,   21,  136,    9,   19,  139,  140,
			    3,    4,    5,    3,    4,    5,    3,    4,    5,   20,
			  151,  152,   20,    8,   13,   22,   22,  158,    8,   20,
			    8,    8,   20,   12,   10,   21,   20,   11,   19,    9,
			    7,    6,  102,  152,  107,   20,   19,   82,  134,   98,
			  112,  112,   57,   57,   25,   -1,   28,   52, yyDummy>>)
		end

feature {NONE} -- Semantic value stacks

	yyvs1: SPECIAL [ANY]
			-- Stack for semantic values of type ANY

	yyvsc1: INTEGER
			-- Capacity of semantic value stack `yyvs1'

	yyvsp1: INTEGER
			-- Top of semantic value stack `yyvs1'

	yyspecial_routines1: KL_SPECIAL_ROUTINES [ANY]
			-- Routines that ought to be in SPECIAL [ANY]

	yyvs2: SPECIAL [ET_IDENTIFIER]
			-- Stack for semantic values of type ET_IDENTIFIER

	yyvsc2: INTEGER
			-- Capacity of semantic value stack `yyvs2'

	yyvsp2: INTEGER
			-- Top of semantic value stack `yyvs2'

	yyspecial_routines2: KL_SPECIAL_ROUTINES [ET_IDENTIFIER]
			-- Routines that ought to be in SPECIAL [ET_IDENTIFIER]

	yyvs3: SPECIAL [STRING]
			-- Stack for semantic values of type STRING

	yyvsc3: INTEGER
			-- Capacity of semantic value stack `yyvs3'

	yyvsp3: INTEGER
			-- Top of semantic value stack `yyvs3'

	yyspecial_routines3: KL_SPECIAL_ROUTINES [STRING]
			-- Routines that ought to be in SPECIAL [STRING]

feature {NONE} -- Constants

	yyFinal: INTEGER is 162
			-- Termination state id

	yyFlag: INTEGER is -32768
			-- Most negative INTEGER

	yyNtbase: INTEGER is 24
			-- Number of tokens

	yyLast: INTEGER is 187
			-- Upper bound of `yytable' and `yycheck'

	yyMax_token: INTEGER is 273
			-- Maximum token id
			-- (upper bound of `yytranslate'.)

	yyNsyms: INTEGER is 67
			-- Number of symbols
			-- (terminal and nonterminal)

feature -- User-defined features



end
